﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Runtime.InteropServices;
using System.Security.Permissions;
using SwiftEmu.Core;
using ConsoleWriter;
using SwiftEmu;
using System.Diagnostics;
using System.Reflection;
using Elysium;
using DevComponents.DotNetBar.Metro;

namespace swiftemu
{
    public partial class Painel : MetroForm
    {
        private System.Windows.Forms.NotifyIcon notifyIcon1;
        private System.Windows.Forms.ContextMenu contextMenu1;
        private System.Windows.Forms.MenuItem menuItem1;
        private System.Windows.Forms.MenuItem menuItem2;
        private System.Windows.Forms.MenuItem menuItem3;
        private System.ComponentModel.IContainer components2;
        Random _Random = new Random();
        ToolTip _ToolTip = new ToolTip();

        public Painel()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            Console.Title = "Swift -> Painel de Controle Aberto";
            Console.BackgroundColor = ConsoleColor.Blue;
            Console.ForegroundColor = ConsoleColor.White;
            Console.WriteLine("_______________________________________________________________________________");
            Console.WriteLine("  Bem Vindo ao Painel. Neste Momento o Emulador.                               ");
            Console.WriteLine("  Pois você ainda não Fechou o Painel.                                         ");
            Console.WriteLine("_______________________________________________________________________________");
            Console.ForegroundColor = ConsoleColor.Red;
            Console.WriteLine("Criado por bi0s...");
        }

        private void groupBox1_Enter(object sender, EventArgs e)
        {
            
        }

        private void label1_Click(object sender, EventArgs e)
        {

        }

        private void textBox1_TextChanged(object sender, EventArgs e)
        {

        }

        private void button1_Click(object sender, EventArgs e)
        {
            System.Diagnostics.Process.Start(Application.StartupPath + @"/Configuracao/emulador.ini");
        }

        private void button2_Click(object sender, EventArgs e)
        {
            System.Diagnostics.Process.Start(Application.StartupPath + @"/Configuracao/database.ini");
        }

        private void button3_Click(object sender, EventArgs e)
        {

            System.Diagnostics.Process.Start(Application.StartupPath + @"/Comandos/welcome_message.ini");

        }

        private void Painel_Load(object sender, EventArgs e)
        {
            Console.Title = "[Swift] Painel Carregado";
            Console.BackgroundColor = ConsoleColor.Blue;
            Console.ForegroundColor = ConsoleColor.White;
            Console.WriteLine("_______________________________________________________________________________");
            Console.WriteLine("  Bem Vindo ao Painel.                                                         ");
            Console.WriteLine("  Aperte em 'Play' Para Iniciar o Emulador                                     ");
            Console.WriteLine("_______________________________________________________________________________");
            Console.WindowHeight = 5;
            Console.WindowWidth = 80;
            pictureBox8.Hide();
            CreateNotifyicon();
        }

       internal void menuItem2_Click(Object sender, System.EventArgs e)
        {
            Show();
        }

        internal void menuItem3_Click(Object sender, System.EventArgs e)
        {
            Hide();
        }


        private void groupBox1_Enter_1(object sender, EventArgs e)
        {

        }

        private void label6_Click(object sender, EventArgs e)
        {

        }

        public void button4_Click(object sender, EventArgs e)
        {
            SwiftEmu.SwiftEmuEnvironment.Initialize();
            pictureBox9.Hide();
            pictureBox8.Show();
        }

        private void pictureBox2_Click(object sender, EventArgs e)
        {
            About f3 = new About();
            f3.Show();
        }

        private void button5_Click(object sender, EventArgs e)
        {
            Environment.Exit(1);
        }

        private void button4_Click_1(object sender, EventArgs e)
        {
            Application.Exit();
        }

        private void button6_Click(object sender, EventArgs e)
        {
            Browser f3 = new Browser();
            f3.Show();
            
        }

        private void button7_Click(object sender, EventArgs e)
        {
            System.Diagnostics.Process.Start(Application.StartupPath + @"/Comandos/commands.ini");
        }

        private void button8_Click(object sender, EventArgs e)
        {
            SwiftEmuEnvironment.PreformShutDown2();
            pictureBox8.Hide();
            pictureBox9.Show();
        }

        private void pictureBox7_Click(object sender, EventArgs e)
        {

        }

        private void pictureBox8_Click(object sender, EventArgs e)
        {

        }

        private void pictureBox9_Click(object sender, EventArgs e)
        {

        }

        private void button9_Click(object sender, EventArgs e)
        {
            About f3 = new About();
            f3.Show();
        }

        private void button10_Click(object sender, EventArgs e)
        {
            Application.Restart();
        }

        private void button11_Click(object sender, EventArgs e)
        {
            System.Diagnostics.Process.Start("chrome.exe");
        }

        private void button12_Click(object sender, EventArgs e)
        {
            System.Diagnostics.Process.Start("Z:/apps/portableapps/xamppportable/app/xampp/php/php.exe " + swiftemu.Properties.Resources.BackupPHP);
        }

        private void button12_Click_1(object sender, EventArgs e)
        {
            System.Diagnostics.Process.Start(Application.StartupPath + "/Backups/backup.bat");
        }

        internal void CreateNotifyicon()
        {
            this.components2 = new System.ComponentModel.Container();
            this.contextMenu1 = new System.Windows.Forms.ContextMenu();
            this.menuItem1 = new System.Windows.Forms.MenuItem();
            this.menuItem2 = new System.Windows.Forms.MenuItem();
            this.menuItem3 = new System.Windows.Forms.MenuItem();

            // Initialize menuItem1
            this.menuItem1.Index = 0;
            this.menuItem1.Text = "E&xit";
            this.menuItem1.Click += new System.EventHandler(this.menuItem1_Click);

            //MenuItem 2
            this.menuItem2.Index = 0;
            this.menuItem2.Text = "Abrir Painel";
            this.menuItem2.Click += new System.EventHandler(menuItem2_Click);

            //MenuItem 3
            this.menuItem3.Index = 0;
            this.menuItem3.Text = "Minimizar Painel";
            this.menuItem3.Click += new System.EventHandler(menuItem3_Click);

            // Initialize contextMenu1
            this.contextMenu1.MenuItems.AddRange(
                        new System.Windows.Forms.MenuItem[] { this.menuItem1 });
            this.contextMenu1.MenuItems.AddRange(
                        new System.Windows.Forms.MenuItem[] { this.menuItem2 });
            this.contextMenu1.MenuItems.AddRange(
                        new System.Windows.Forms.MenuItem[] { this.menuItem3 });

            // Create the NotifyIcon.
            this.notifyIcon1 = new System.Windows.Forms.NotifyIcon(this.components2);

            // The Icon property sets the icon that will appear
            // in the systray for this application.
            notifyIcon1.Icon = new Icon("Favicon.ico");

            // The ContextMenu property sets the menu that will
            // appear when the systray icon is right clicked.
            notifyIcon1.ContextMenu = this.contextMenu1;

            // The Text property sets the text that will be displayed,
            // in a tooltip, when the mouse hovers over the systray icon.
            notifyIcon1.Text = "Bem Vindo ao SwiftEmulator.. Carregando..";
            notifyIcon1.Visible = true;


        }

        private void menuItem1_Click(object Sender, EventArgs e)
        {
            // Close the form, which closes the application.
            Environment.Exit(1);
        }

        private void timer1_Tick(object sender, EventArgs e)
        {
            SetNotifyIconText(notifyIcon1, "Bem Vindo ao Emulador");
        }

        public static void SetNotifyIconText(NotifyIcon ni, string text)
        {
            if (text.Length >= 128) throw new ArgumentOutOfRangeException("Text limited to 127 characters");
            Type t = typeof(NotifyIcon);
            BindingFlags hidden = BindingFlags.NonPublic | BindingFlags.Instance;
            t.GetField("text", hidden).SetValue(ni, text);
            if ((bool)t.GetField("added", hidden).GetValue(ni))
                t.GetMethod("UpdateIcon", hidden).Invoke(ni, new object[] { true });
        }
        private bool balloonTipShown;
        private Timer balloonTimer;
        private void trayIcon_MouseMove(object sender, MouseEventArgs e)
        {
            if (balloonTipShown)
            {
                return;
            }
            balloonTipShown = true;
            notifyIcon1.MouseMove -= trayIcon_MouseMove;
            balloonTimer = new Timer();
            balloonTimer.Tick += balloonTimer_Tick;
            balloonTimer.Interval = 2005;
            balloonTimer.Start();
            notifyIcon1.ShowBalloonTip(2000);
        }

        void balloonTimer_Tick(object sender, EventArgs e)
        {
            balloonTipShown = false;
            balloonTimer.Stop();
            balloonTimer.Dispose();
            notifyIcon1.MouseMove += trayIcon_MouseMove;
        }

    }
}
