﻿namespace SwiftEmu.HabboHotel.Users.Messenger
{
    using SwiftEmu;
    using SwiftEmu.HabboHotel.Habbo.Users;
    using SwiftEmu.Messages;
    using System;

    internal class MessengerRequest
    {
        private uint FromUser;
        private string mUsername;
        private uint ToUser;

        internal MessengerRequest(uint ToUser, uint FromUser, string pUsername)
        {
            this.ToUser = ToUser;
            this.FromUser = FromUser;
            this.mUsername = pUsername;
        }

        internal void Serialize(ServerMessage Request)
        {
            Request.AppendInt32(this.FromUser);
            Request.AppendString(this.mUsername);
            Habbo habbo = SwiftEmuEnvironment.getHabboForName(this.mUsername);
            Request.AppendString((habbo != null) ? habbo.Look : "");
        }

        internal uint From
        {
            get
            {
                return this.FromUser;
            }
        }

        internal uint To
        {
            get
            {
                return this.ToUser;
            }
        }
    }
}

