﻿using SwiftEmu;
using SwiftEmu.Core;
using SwiftEmu.HabboHotel.GameClients;
using SwiftEmu.HabboHotel.Habbo.Guilds;
using SwiftEmu.HabboHotel.Habbo.Users;
using SwiftEmu.HabboHotel.Items;
using SwiftEmu.HabboHotel.Pets;
using SwiftEmu.HabboHotel.Users.Inventory;
using SwiftEmu.Messages;
using Database_Manager.Database;
using Database_Manager.Database.Session_Details.Interfaces;
using HabboEvents;
using System;
using System.Collections;
using System.Collections.Generic;
using System.Data;
using SwiftEmu.HabboHotel.Catalogs;
using System.Runtime.InteropServices;
using SwiftEmu.HabboHotel.RoomBots;

namespace SwiftEmu.HabboHotel.Items
{
    class GiftFactory
    {
        public static void DeliverGift()
        {

        }
        public static void UnwrapGift() { }
        public static void PlaceGift() { }
        public static void SerializePurchase(CatalogItem item, uint itemId, GameClient Session, uint receiverId, int giftSprite, int giftId) 
        {
            Item giftCase = SwiftEmuEnvironment.GetGame().GetItemManager().GetItemSprite(giftSprite);

            Console.WriteLine(item.GetBaseItem(itemId).ItemId);
            Console.WriteLine(item.GetBaseItem(itemId).Name);
            Console.WriteLine(item.GetBaseItem(itemId).Type.ToString().ToLower());
            Session.GetMessageHandler().GetResponse().Init(Outgoing.UpdateInventary);
            Session.GetMessageHandler().SendResponse();
            Session.GetMessageHandler().GetResponse().Init(Outgoing.SerializePurchaseInformation);
            Session.GetMessageHandler().GetResponse().AppendInt32(item.GetBaseItem(itemId).ItemId);
            Session.GetMessageHandler().GetResponse().AppendString(item.GetBaseItem(itemId).Name);
            Session.GetMessageHandler().GetResponse().AppendBoolean(false);
            Session.GetMessageHandler().GetResponse().AppendInt32(item.CreditsCost);
            Session.GetMessageHandler().GetResponse().AppendInt32(item.PixelsCost);
            Session.GetMessageHandler().GetResponse().AppendInt32(item.CrystalCost);
            Session.GetMessageHandler().GetResponse().AppendBoolean(true);
            Session.GetMessageHandler().GetResponse().AppendInt32(1);
            Session.GetMessageHandler().GetResponse().AppendString(item.GetBaseItem(itemId).Type.ToString().ToLower());
            Session.GetMessageHandler().GetResponse().AppendInt32(item.GetBaseItem(itemId).SpriteId);
            Session.GetMessageHandler().GetResponse().AppendString("");
            Session.GetMessageHandler().GetResponse().AppendInt32(1);
            Session.GetMessageHandler().GetResponse().AppendInt32(0);
            Session.GetMessageHandler().GetResponse().AppendBoolean(false);
            Session.GetMessageHandler().GetResponse().AppendBoolean(true);
            //Session.GetMessageHandler().GetResponse().AppendInt32(1);
            Session.GetMessageHandler().SendResponse();

            GameClient clientByUserID = SwiftEmuEnvironment.GetGame().GetClientManager().GetClientByUserID(receiverId);
            SwiftEmuEnvironment.GetGame().GetAchievementManager().ProgressUserAchievement(Session, "ACH_GiftGiver", 1);
            SwiftEmuEnvironment.GetGame().GetAchievementManager().ProgressUserAchievement(clientByUserID, "ACH_GiftReceiver", 1);

            UserItem item3;
            try
            {
                item3 = SwiftEmuEnvironment.getHabboForId(receiverId).GetInventoryComponent().AddNewItem(0, giftCase.ItemId, "", true, false, 0, "", clientByUserID.GetHabbo().Id, 0);
            }
            catch (Exception ex)
            {
                SwiftEmu.Core.Logging.LogCriticalException("Failed to send gift for gift_id = " + giftId +"\n"+ex.ToString());
                return;
            }
            if (clientByUserID != null)
            {
                clientByUserID.SendNotif(LanguageLocale.GetValue("catalog.gift.received") + Session.GetHabbo().Username);
                clientByUserID.GetHabbo().GetInventoryComponent().SendFloorInventoryUpdate();
                clientByUserID.GetMessageHandler().GetResponse().Init(Outgoing.SendPurchaseAlert);
                clientByUserID.GetMessageHandler().GetResponse().AppendInt32(1);
                clientByUserID.GetMessageHandler().GetResponse().AppendInt32(1);
                clientByUserID.GetMessageHandler().GetResponse().AppendInt32(1);
                clientByUserID.GetMessageHandler().GetResponse().AppendInt32(item3.Id);
                clientByUserID.GetMessageHandler().SendResponse();
                InventoryComponent inventoryComponent = clientByUserID.GetHabbo().GetInventoryComponent();
                if (inventoryComponent != null)
                {
                    inventoryComponent.RunDBUpdate();
                }
            }
            Session.SendNotif(LanguageLocale.GetValue("catalog.gift.sent"));
             
        }

    }
}
